package m05bPersonalEJB;
import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bPersonal;

/**
 * This is the Remote Interface for the Entity EJB <tt>M05PersonalEB</tt>.
 *
 * @see     m05.exe.Personal 
 * @see     m05.exe.M05PersonalEBHome
 * @see     m05.exe.M05PersonalEBPK
 * @see     m05.exe.M05PersonalEBBean 
 */
public interface m05Personal extends EJBObject{
  public String getPer_dni()throws RemoteException;  
  public void setPer_dni(String n)throws RemoteException;  
  public String getPer_nombre()throws RemoteException;  
  public void setPer_nombre(String n)throws RemoteException;  
  public String getPer_direc()throws RemoteException;  
  public void setPer_direc(String n)throws RemoteException;  
  public String getPer_telef()throws RemoteException;  
  public void setPer_telef(String n)throws RemoteException;  
  public String getPer_cod_car()throws RemoteException;  
  public void setPer_cod_car(String n)throws RemoteException;  
  public String getPer_coddpto()throws RemoteException;  
  public void setPer_coddpto(String n)throws RemoteException;
  public String getPer_codrango()throws RemoteException;  
  public void setPer_codrango(String n)throws RemoteException;  
  public String getPer_actualizable()throws RemoteException;  
  public void setPer_actualizable(String n)throws RemoteException;  
  public String getPer_codprovincia()throws RemoteException;  
  public void setPer_codprovincia(String n)throws RemoteException;  
  public String getPer_codmunicipio()throws RemoteException;  
  public void setPer_codmunicipio(String n)throws RemoteException;  
  public String getPer_codpostal()throws RemoteException;  
  public void setPer_codpostal(String n)throws RemoteException;    

  /**
   * Returns the Personal information of this E-EJB.
   */   
  public m05bPersonal getPersonal() throws RemoteException;
  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Personal <tt>per_dni</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setPersonal(Personal personal)
    throws RemoteException, Exception;    */
}